<?php
session_start();
$_classPath = "../";
include($_classPath . "class/obj.class.php");
require_once $_classPath . '/lib/phpass/passwordhash.php';
PHPShopObj::loadClass("base");
PHPShopObj::loadClass("system");
PHPShopObj::loadClass("mail");
PHPShopObj::loadClass("security");
PHPShopObj::loadClass("orm");
PHPShopObj::loadClass("admgui");

$PHPShopBase = new PHPShopBase($_classPath . "inc/config.ini");
$PHPShopSystem = new PHPShopSystem();

//  API  
function updatePassword($oldpas, $id) {
    global $Hasher, $PHPShopBase;
    $PHPShopOrm = new PHPShopOrm($PHPShopBase->getParam("base.table_name19"));
    $update['password_new'] = $Hasher->HashPassword($oldpas);
    $PHPShopOrm->update($update, array('id' => '=' . $id));
}

$PHPShopOrm = new PHPShopOrm($PHPShopBase->getParam("base.table_name19"));
$PHPShopOrm->mysql_error = false;
$result = $PHPShopOrm->query("ALTER TABLE  `phpshop_users` ADD  `hash` VARCHAR( 255 ) NOT NULL;");
if (!empty($result)) {
    $PHPShopOrm->clean();
    $Hasher = new PasswordHash(8, false);

    $data = $PHPShopOrm->select(array('*'), false, false, array('limit' => 100));
    if (is_array($data))
        foreach ($data as $row)
            updatePassword(base64_decode($row['password']), $row['id']);
}

$PHPShopOrm = new PHPShopOrm($GLOBALS['SysValue']['base']['table_name19']);
$PHPShopOrm->debug = false;
$SendMailStatus = null;

// 
PHPShopObj::loadClass("modules");
$PHPShopModules = new PHPShopModules($_classPath . "modules/");

//  
$_SESSION['lang'] = $PHPShopSystem->getSerilizeParam("admoption.lang");
PHPShopObj::loadClass("lang");

//  
function generatePassword($length = 8) {
    $chars = 'abcdefghijklmnopqrstuvwxyz0123456789';
    $numChars = strlen($chars);
    $string = '';
    for ($i = 0; $i < $length; $i++) {
        $string .= substr($chars, rand(1, $numChars) - 1, 1);
    }
    return $string;
}


//  
if (empty($_SESSION['theme'])) {
    $theme = PHPShopSecurity::TotalClean($PHPShopSystem->getSerilizeParam('admoption.theme'));
    if (!empty($theme))
        $_SESSION['theme'] = $theme;
    else
        $_SESSION['theme'] = 'default';
}

// Secure Fix
foreach ($_REQUEST as $val)
    PHPShopSecurity::RequestSearch($val);

//  
class PHPShopAdminEnter extends PHPShopGUI {

    function Compile() {

        //   
        writeLangFile();

        echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "xhtml11.dtd">
     <html>
     <head>
     <title>' . $this->title . '</title>
     <meta http-equiv="Content-Type" content="text/html; charset=' . $this->charset . '">
     <link rel="shortcut icon" href="./favicon.ico" type="image/x-icon">
     <link rel="icon" href="./favicon.ico" type="image/x-icon">
     <link href="' . $this->dir . 'skins/' . $_SESSION['theme'] . '/texts.css" type=text/css rel=stylesheet>' . $this->includeCss . '
         ' . $this->includeJava . '</head>
<body id="autorization">
' . $this->_CODE = '<table width="100%" height="100%">
<tr>
<td valign="middle">
<form method="post">
        <table align="center" cellpadding="0" cellspacing="0" border="0" class="login">
        <tr align="center">
        <td align="left">
	 ' . $this->_CODE . '
        </td>
        </tr>
        </table>
</form>
</td>
</tr>
</table>
</body>
</html>';
    }

}

//  GUI
$PHPShopGUI = new PHPShopAdminEnter();
$PHPShopGUI->title = $PHPShopBase->getParam('license.product_name') . " -> " . __('');
$PHPShopGUI->reload = 'none';
$PHPShopGUI->debug_close_window = false;
$PHPShopGUI->winOpenType = 'default';
$PHPShopGUI->padding = 9;

//  
function actionEnter() {
    global $PHPShopOrm, $PHPShopGUI, $PHPShopModules, $SendMailStatus;
    $hasher = new PasswordHash(8, false);
    $pas = $_POST['pas'];
    $data = $PHPShopOrm->select(array('*'), array('enabled' => "='1'"), false, array('limit' => 30));
    if (is_array($data))
        foreach ($data as $row) {

            $check = $hasher->CheckPassword($pas, $row['password']);
            if ($row['login'] == $_POST['log'] and $check) {

                $logPHPSHOP = $_POST['log'];
                $pasPHPSHOP = $_POST['pas'];
                @session_start();
                $_SESSION['logPHPSHOP'] = $logPHPSHOP;
                $_SESSION['pasPHPSHOP'] = $pasPHPSHOP;
                $_SESSION['idPHPSHOP'] = $row['id'];
                $_id = session_id();

                // 
                $theme = GetTheme(true);
                $_SESSION['theme'] = $theme[$_POST['theme_id']];

                $includeJava = '
<script>
function WO(){
var URL = "admin.php";
var win_e=' . $_POST['win_e'] . '-0;
if(win_e != 1){
if(!window.open(URL,"admin' . $_id . '","toolbar=0; location=0; menubar=0; status=1; directories=0; resizable=1;")){
if(confirm("!\n   "+navigator.appName+"   .\n  << PHPShop -   >>\n   .\n\n     ? "))
window.location.replace(URL);
}}
else{ window.location.replace(URL);}
}
tmr = setTimeout("WO();",100);
</script>
';
                $PHPShopGUI->includeJava = $includeJava;
            }
        }

    if (PHPShopSecurity::true_param($_POST['pas_to_mail']) and PHPShopSecurity::true_login($_POST['log'])) {
        
        $PHPShopOrm = new PHPShopOrm($GLOBALS['SysValue']['base']['table_name19']);
        $row = $PHPShopOrm->select(array('password', 'mail','id'), array('login' => '="' . $_POST['log'] . '"'), false, array('limit' => '1'));
        if (is_array($row)) {
            $OLDpassword = $row['password'];
            $OLDmail = $row['mail'];
            $id = $row['id'];
            $log = $_POST['log'];
        }

        //   
        $hash = md5($id . $log . $OLDmail . $OLDpassword . time());
        mysql_query("UPDATE " . $GLOBALS['SysValue']['base']['table_name19'] . " SET hash = '$hash' WHERE id=$id");

        if (!empty($OLDmail)) {
            $content = "
 !
---------------

 $log,      
   PHPShop   " . $_SERVER['SERVER_NAME'] . "

 
---------------
: $log
     : http://" . $_SERVER['SERVER_NAME'] . "/phpshop/admpanel/?newPassGen=" . $hash . "
: " . date("d-m-y H:s a") . "
IP :" . $_SERVER['REMOTE_ADDR'] . "

---------------
 ,
 PHPShop
http://www.phpshopcms.ru";

            $zag = __("    PHPShop CMS Free");
            new PHPShopMail($OLDmail, $OLDmail, $zag, $content);

            $SendMailStatus = $PHPShopGUI->setDiv('left', __('     ' . $OLDmail), 'padding:5px', false, 'display');
        }
    }

    //    
    $PHPShopModules->setAdmHandler($_SERVER["SCRIPT_NAME"], __FUNCTION__, $data);

    return actionStart();
}

//    
function GetTheme($return = false) {
    $i = 1;
    $name = null;
    $theme_id = array();

    $skin = $_SESSION['theme'];

    $dir = "./skins";
    if (is_dir($dir)) {
        if ($dh = opendir($dir)) {
            while (($file = readdir($dh)) !== false) {

                if ($skin == $file)
                    $sel = "selected";
                else
                    $sel = "";

                if ($file != "." and $file != ".." and $file != "index.html") {
                    $name.= "<option value=\"$i\" $sel>$file</option>";
                    $theme_id[$i] = PHPShopSecurity::TotalClean($file);
                    $i++;
                }
            }
            closedir($dh);
        }
    }


    if (empty($return)) {
        $name = "<select name=\"theme_id\">" . $name . "</select>";
        return $name;
    }
    else
        return $theme_id;
}

//   
function actionStart() {
    global $PHPShopGUI, $PHPShopModules, $SendMailStatus;

    // 
    if ($_GET['do'] == "out") {
        session_destroy();
        header('Location: ../../');
    }


    if (isset($_GET['newPassGen'])) {
        $hash = mysql_real_escape_string(stripslashes($_GET['newPassGen']));
        $sql = "select password,mail,id,login from " . $GLOBALS['SysValue']['base']['table_name19'] . " where hash='" . $hash . "'";
   
        $result = mysql_query($sql);
        while ($row = mysql_fetch_array($result)) {
            $OLDpassword = $row['password'];
            $OLDmail = $row['mail'];
            $id = $row['id'];
            $log = $row['login'];
        }
        if (!empty($OLDmail)) {
            //     
            $newPass = generatePassword();
            //       
            $hasher = new PasswordHash(8, false);
            $hash = $hasher->HashPassword($newPass);

            mysql_query("UPDATE " . $GLOBALS['SysValue']['base']['table_name19'] . " SET password = '$hash', hash='' WHERE id=$id");


            $content = "
 !
---------------

 $log,      
   PHPShop   " . $_SERVER['SERVER_NAME'] . "

 
---------------
 : http://" . $_SERVER['SERVER_NAME'] . "/phpshop/admpanel/
: $log
: " . $newPass . "
: " . date("d-m-y H:s a") . "
IP :" . $_SERVER['REMOTE_ADDR'] . "

---------------
 ,
 PHPShop
http://www.phpshopcms.ru";

            $zag = __("    PHPShop CMS Free");
            new PHPShopMail($OLDmail, $OLDmail, $zag, $content);

            $SendMailStatus = $PHPShopGUI->setDiv('left', __('   ' . $OLDmail), 'padding:5px', false, 'display');
        }
    }

    $PHPShopGUI->setHeader(__("   "), __("   "), $PHPShopGUI->dir . "img/i_users_med[1].gif", '../../', __(''));
    $leftPart.=$PHPShopGUI->setDiv('left', $PHPShopGUI->setField(__(":"), $PHPShopGUI->setInput("text", "log", $_COOKIE['log'], "none", 180), "none", 5), 'padding-top:10px;');
    $leftPart.=$PHPShopGUI->setDiv('left', $PHPShopGUI->setField(__(":"), $PHPShopGUI->setInput("password", "pas", $_COOKIE['pas'], "none", 180), "none", 5), 'padding-top:10px;');

    if (empty($SendMailStatus)) {
        $leftPart.=$PHPShopGUI->setDiv('left', $PHPShopGUI->setCheckbox("win_e", 1, __("   "), $_COOKIE['win_e']), 'padding-top:10px;');
        $leftPart.=$PHPShopGUI->setDiv('left', $PHPShopGUI->setCheckbox("pas_to_mail", 1, __(" "), ''));
    }
    else
        $leftPart.=$SendMailStatus;


    $PHPShopGUI->padding = 3;
    $rightPart.=$PHPShopGUI->setDiv('right', $PHPShopGUI->setInput("submit", "enter", "", "right", 70, "", "but", "actionEnter"), 'padding-top:15px;');
    $rightPart.=$PHPShopGUI->setInput("button", "exit", "", "right", 70, "location.replace('./?do=out')", "but");

    $PHPShopGUI->padding = 5;
    $rightPart.=$PHPShopGUI->setDiv('right', $PHPShopGUI->setField('', GetTheme()), 'padding-top:165px;');

    $PHPShopGUI->_CODE.=$PHPShopGUI->setTable($leftPart, $rightPart);

    //  
    $PHPShopModules->setAdmHandler($_SERVER["SCRIPT_NAME"], __FUNCTION__, array($leftPart, $rightPart));

    $PHPShopGUI->padding = 0;
    $PHPShopGUI->setFooter(false);
    return true;
}

//    
$PHPShopGUI->setLoader($_POST['enter'], 'actionStart');

//  
$PHPShopGUI->getAction();
?>